module Estatic
  class Configuration
    attr_accessor :chunk,
                  :title,
                  :project_path,
                  :estatic_site_path,
                  :categories,
                  :featured,
                  :include_product_page,
                  :domain,
                  :locals

    def initialize
      @chunk = 8
      @title = 'Estatic'
      @project_path = Dir.pwd
      @estatic_site_path = File.join(Dir.pwd, 'estatic_site')
      @categories = []
      @featured = nil
      @include_product_page = false
      @domain = @estatic_site_path
      @locals = []
    end
  end
end
