module Estatic
  class CSVParser
    OPTIONS = { headers: true, converters: :all, encoding: 'UTF-8' }

    def self.parse(resource)
      csv = Estatic.csv_files.detect { |file| File.basename(file, '.csv') == resource }
      parsed = csv ? CSV.read(csv, OPTIONS).map(&:to_h) : []
      parsed
    end
  end
end
