module Estatic
  class PageGenerator
    attr_reader :page, :directory

    def initialize(page, directory)
      @page = page
      @directory = directory
    end

    def generate
      FileUtils.mkdir_p(directory) unless File.directory?(directory)

      Dir.chdir(directory) do
        File.open(page.filename, 'w') do |f|
          f.write(page.content)
        end
      end
    end
  end
end
