module Estatic
  class ProductPage < Page
    attr_reader :product

    def initialize(resource, product)
      super(resource)
      @product = product
    end

    def filename
      "#{product.name.downcase.strip.gsub(' ', '-').gsub(/[^\w-]/, '')}.html"
    end
  end
end
